<%= form_with(model: article) do |form| %>
  <% if article.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(article.errors.count, "error") %> prohibited this article from being saved:</h2>

      <ul>
        <% article.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div>
    <%= form.label :title, style: "display: block" %>
    <%= form.text_field :title %>
  </div>
  <div>
    <%= form.file_field :preview_img %>
  </div>
   <div class="field">
    <%= form.label :content %>
    <%= form.rich_text_area :body %>
  </div>
  <div>
    <%= form.submit %>
  </div>
<% end %>
